<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="finanz_ustverprobung_IG_erwerb" pageWidth="523" pageHeight="200" columnWidth="523" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="4aadc31f-6107-4999-a669-37ef722b0119">
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="UVA_Art" class="java.lang.String"/>
	<field name="i_id" class="java.lang.Integer"/>
	<field name="c_nr" class="java.lang.String"/>
	<field name="c_bez" class="java.lang.String"/>
	<field name="f_mwstsatz" class="java.lang.Double"/>
	<field name="n_betrag" class="java.math.BigDecimal"/>
	<field name="t_buchungsdatum" class="java.sql.Timestamp"/>
	<field name="c_text" class="java.lang.String"/>
	<field name="c_belegnummer" class="java.lang.String"/>
	<field name="uvaart_c_nr" class="java.lang.String"/>
	<variable name="Vorsteuer" class="java.lang.Double">
		<variableExpression><![CDATA[$F{n_betrag}.doubleValue() * $F{f_mwstsatz}.doubleValue() / 100]]></variableExpression>
	</variable>
	<variable name="Vorsteuer_Konto_Gesamt" class="java.lang.Double" resetType="Group" resetGroup="Konto" calculation="Sum">
		<variableExpression><![CDATA[$V{Vorsteuer}]]></variableExpression>
	</variable>
	<variable name="Vorsteuer_Gesamt" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$V{Vorsteuer}]]></variableExpression>
	</variable>
	<group name="UVA_Art" isReprintHeaderOnEachPage="true" minHeightToStartNewPage="90">
		<groupExpression><![CDATA[$F{uvaart_c_nr}]]></groupExpression>
		<groupHeader>
			<band height="35">
				<staticText>
					<reportElement x="0" y="14" width="50" height="10" uuid="1e5527bd-a5d8-4c13-90ae-6bfa277d4a7a"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Konto]]></text>
				</staticText>
				<textField>
					<reportElement mode="Transparent" x="0" y="0" width="523" height="14" forecolor="#000000" backcolor="#FFFFFF" uuid="41db6d77-f325-4848-87c4-87eeb1fa0385"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[/* $P{UVA_Art}+" / "+ */
$F{uvaart_c_nr}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="90" y="24" width="60" height="10" uuid="5c106b7c-b86a-421e-a01e-76b336e69760"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Datum]]></text>
				</staticText>
				<staticText>
					<reportElement x="150" y="24" width="210" height="10" uuid="ead66949-0b0f-487d-9837-a1b50bc3ad6b"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Text]]></text>
				</staticText>
				<staticText>
					<reportElement x="20" y="24" width="70" height="10" uuid="a18cb124-b27d-421d-9ca0-a5a12948913b"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Beleg]]></text>
				</staticText>
				<staticText>
					<reportElement x="200" y="14" width="30" height="10" uuid="420e3eed-889e-4489-8661-fda787bb794d"/>
					<textElement textAlignment="Right">
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[MwSt%]]></text>
				</staticText>
				<staticText>
					<reportElement x="360" y="24" width="60" height="10" uuid="f7c6cd73-0e21-49c3-9b15-8f3987389c60"/>
					<textElement textAlignment="Right" markup="none">
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Betrag]]></text>
				</staticText>
				<staticText>
					<reportElement x="420" y="24" width="60" height="10" uuid="29087ea3-c62e-497a-8ece-301b1f7e8ba9"/>
					<textElement textAlignment="Right" markup="none">
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Vst Betrag]]></text>
				</staticText>
				<line>
					<reportElement x="0" y="34" width="523" height="1" uuid="63bfda2a-cb60-4e61-a760-01c431d07e36"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</line>
				<staticText>
					<reportElement x="50" y="14" width="150" height="10" uuid="0b5b5f0c-533d-4b67-9015-b5da360be965"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Bezeichnung]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="20">
				<line>
					<reportElement x="0" y="0" width="523" height="1" uuid="9384bd47-0649-405d-a40e-5548d8348154"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</line>
				<textField pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
					<reportElement mode="Transparent" x="420" y="1" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="5f540f2f-a4fe-4f6d-bf07-3e85a28f206d"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{Vorsteuer_Gesamt}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement key="Gesamt" positionType="Float" x="0" y="1" width="40" height="10" isRemoveLineWhenBlank="true" uuid="e40bb203-fdb7-4148-b71a-298d73ae8479"/>
					<textElement markup="none">
						<font fontName="Arial" size="8"/>
					</textElement>
					<text><![CDATA[Gesamt]]></text>
				</staticText>
				<textField>
					<reportElement key="Gesamt" positionType="Float" x="40" y="1" width="160" height="10" isRemoveLineWhenBlank="true" uuid="4afd3779-fe53-4595-a041-52ead7e0b1fe"/>
					<textElement markup="none">
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$P{UVA_Art}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<group name="Konto">
		<groupExpression><![CDATA[$F{i_id}]]></groupExpression>
		<groupHeader>
			<band height="16">
				<textField isStretchWithOverflow="true" isBlankWhenNull="true">
					<reportElement key="Konto" positionType="Float" x="0" y="5" width="50" height="10" isRemoveLineWhenBlank="true" uuid="0f9f6125-2479-4020-bfaa-a42e3477abbd"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{c_nr}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true">
					<reportElement key="Konto Bezeichnung" positionType="Float" x="50" y="5" width="150" height="10" isRemoveLineWhenBlank="true" uuid="ab2dd4b4-748e-4690-a31e-038da7854b20"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{c_bez}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="###0.0" isBlankWhenNull="true">
					<reportElement key="MwStSatz" positionType="Float" x="200" y="5" width="30" height="10" isRemoveLineWhenBlank="true" uuid="e7b6779b-6c3e-44c7-867e-f756f9ffd2b5"/>
					<textElement textAlignment="Right">
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{f_mwstsatz}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement positionType="Float" x="0" y="15" width="523" height="1" uuid="c7051142-a1ee-4380-9a31-e8df09a75be8"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="15">
				<line>
					<reportElement x="420" y="0" width="60" height="1" uuid="d35793c4-ef41-4d1b-abfd-d7ccde158ae8"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</line>
				<textField pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
					<reportElement mode="Transparent" x="420" y="1" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="730b89f3-2855-4a45-bac0-035a80fbce9a"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{Vorsteuer_Konto_Gesamt}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<detail>
		<band height="10" splitType="Stretch">
			<textField isStretchWithOverflow="true" pattern="dd.MM.yyyy" isBlankWhenNull="true">
				<reportElement key="Datum" positionType="Float" x="90" y="0" width="60" height="10" isRemoveLineWhenBlank="true" uuid="6d55547a-7b33-4db9-a49e-39d72f0e87d0"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{t_buchungsdatum}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Text" positionType="Float" x="150" y="0" width="210" height="10" isRemoveLineWhenBlank="true" uuid="68f5350a-9dce-4b78-9e00-8847f0eea632"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_text}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement key="Betrag" positionType="Float" mode="Transparent" x="360" y="0" width="60" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="86ec0d40-37be-4dea-9e58-74dee7a7c8ea"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{n_betrag}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Beleg" positionType="Float" x="20" y="0" width="70" height="10" isRemoveLineWhenBlank="true" uuid="d451fb66-3c77-4c6e-9439-9dd5e20c6946"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_belegnummer}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="420" y="0" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="8dfd6fdf-f947-4d78-a196-08eb8593d5ea"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Vorsteuer}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
